Subject: Re: bug#6991:

From: Rocky Bernstein <[email-masked]>
Date: Tue, 12 Sep 2017 21:13:03 -0400

Thanks for the kind words. Right now I see no obstacles to getting this
done. Just lots of work, and not enough hands. I'm going to try to get the
local Emacs group interested in helping out. And if not in this, then
contributing to documenting bytecode in of itself is something that would
be of value.

What I have  right now is at https://github.com/rocky/elisp-decompile .
Alas, for expediency it is right now written in Python.

On Mon, Sep 11, 2017 at 10:28 AM, Eli Zaretskii <[email-masked]> wrote:

> > From: Rocky Bernstein <[email-masked]>
> > Date: Mon, 11 Sep 2017 06:57:58 -0400
> >
> > have started looking at decompiling ELISP bytecode using the techniques
> from uncompyle6 .
> >
> > So far the results are promising. Of course one isn't going to get the
> exact source text back.
> >
> > For the bytecode for source text
> >
> > (setq a nil)
> > (setq b nil)
> >
> > when decompiled gives the equivalent:
> >
> > (setq a (setq b nil))
> >
> > And macros will be in their expanded form. But I believe nevertheless
> programmers will have a very good idea
> > of what was going on when an error was raised.
>
> Sounds interesting and potentially useful.  Please keep up the good
> work.
>
> Thanks.
>